commit:     10d0523dbd630c97a99d91541d5910deab9b85cf
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 31 19:42:28 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 19:43:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10d0523d

dev-lua/luaposix: use correct lua includedir

Closes: https://bugs.gentoo.org/779574
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luaposix/luaposix-35.0-r102.ebuild | 77 ++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/dev-lua/luaposix/luaposix-35.0-r102.ebuild 
b/dev-lua/luaposix/luaposix-35.0-r102.ebuild
new file mode 100644
index 00000000000..a996b374857
--- /dev/null
+++ b/dev-lua/luaposix/luaposix-35.0-r102.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Bindings for POSIX APIs"
+HOMEPAGE="https://luaposix.github.io/luaposix/ 
https://github.com/luaposix/luaposix";
+SRC_URI="https://github.com/luaposix/luaposix/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# Requires specl, which is not in the tree yet
+RESTRICT="test"
+
+DEPEND="${LUA_DEPS}"
+RDEPEND="${DEPEND}
+       lua_targets_lua5-1? ( dev-lua/lua-bit32[lua_targets_lua5-1(-)] )
+       lua_targets_luajit? ( dev-lua/lua-bit32[lua_targets_luajit(-)] )
+"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       # Temporary fix for respect LDFLAGS (#739050)
+       # Fixed in luke 0.2.1
+       sed -i -e "s:c_module,libdirs:c_module,'\$LDFLAGS',libdirs:g" \
+               build-aux/luke || die
+
+       lua_copy_sources
+}
+
+lua_src_compile() {
+       pushd "${BUILD_DIR}" || die
+
+       # LDOC=true means disable ldoc update documentation
+       ./build-aux/luke --verbose package="${PN}" version="${PV}" \
+               LDOC=true \
+               PREFIX="${ED}/usr" \
+               INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+               INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+               LUA_INCDIR="${EPREFIX}/$(lua_get_include_dir)" \
+               CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)" || die
+
+       popd || die
+}
+
+src_compile() {
+       lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+       pushd "${BUILD_DIR}" || die
+
+       ./build-aux/luke install \
+               LDOC=true \
+               PREFIX="${ED}/usr" \
+               INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+               INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+               || die
+
+       popd || die
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+       dodoc {NEWS,README}.md
+       use doc && dodoc -r doc
+}

Reply via email to